Package com.emc.documentum.rest.dfc.util

# Class ClientInfoUtil

java.lang.Object
com.emc.documentum.rest.dfc.util.ClientInfoUtil

public class ClientInfoUtil extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLIENT_LOCATION`
  `static final String`
  `HTTP_HEADER_X_FORWARDED_FOR`
  `static final String`
  `IP_regex`
  `static final Pattern`
  `IP_regexPattern`
  `static final String`
  `X_CLIENT_APPLICATION_NAME`
  `static final String`
  `X_CLIENT_LOCATION`
  `static final String`
  `X_NO_REDIRECTION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getAppName(jakarta.servlet.http.HttpServletRequest request)`
  `static String`
  `getAppName(org.springframework.web.context.request.ServletRequestAttributes servletRequestAttributes)`
  `static String`
  `getClientIPAddr(jakarta.servlet.http.HttpServletRequest request)`
  `static com.documentum.fc.client.impl.connection.docbase.EndUserInfo`
  `getEndUserInfo(jakarta.servlet.http.HttpServletRequest request)`
  `static final com.documentum.fc.client.IDfEnumeration`
  `getNetworkLocationBasedOnClientIP(jakarta.servlet.http.HttpServletRequest request, boolean ipBasedNetworkLocationEnabled)`
  `static Boolean`
  `isRedirectionNotRequired(org.springframework.web.context.request.ServletRequestAttributes servletRequestAttributes)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IP_regex

    public static final String IP_regex
    See Also:
      - Constant Field Values

  - ### IP_regexPattern

    public static final Pattern IP_regexPattern

  - ### HTTP_HEADER_X_FORWARDED_FOR

    public static final String HTTP_HEADER_X_FORWARDED_FOR
    See Also:
      - Constant Field Values

  - ### CLIENT_LOCATION

    public static final String CLIENT_LOCATION
    See Also:
      - Constant Field Values

  - ### X_CLIENT_APPLICATION_NAME

    public static final String X_CLIENT_APPLICATION_NAME
    See Also:
      - Constant Field Values

  - ### X_CLIENT_LOCATION

    public static final String X_CLIENT_LOCATION
    See Also:
      - Constant Field Values

  - ### X_NO_REDIRECTION

    public static final String X_NO_REDIRECTION
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getNetworkLocationBasedOnClientIP

    public static final com.documentum.fc.client.IDfEnumeration getNetworkLocationBasedOnClientIP(jakarta.servlet.http.HttpServletRequest request, boolean ipBasedNetworkLocationEnabled) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`

  - ### getClientIPAddr

    public static String getClientIPAddr(jakarta.servlet.http.HttpServletRequest request)

  - ### isRedirectionNotRequired

    public static Boolean isRedirectionNotRequired(org.springframework.web.context.request.ServletRequestAttributes servletRequestAttributes)

  - ### getAppName

    public static String getAppName(org.springframework.web.context.request.ServletRequestAttributes servletRequestAttributes)

  - ### getEndUserInfo

    public static com.documentum.fc.client.impl.connection.docbase.EndUserInfo getEndUserInfo(jakarta.servlet.http.HttpServletRequest request)

  - ### getAppName

    public static String getAppName(jakarta.servlet.http.HttpServletRequest request)